package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.IntegralRecord;

/**
 * 积分记录Mapper接口
 * 
 * @author elev
 * @date 2022-01-14
 */
public interface IntegralRecordMapper {
    /**
     * 查询积分记录
     * 
     * @param id 积分记录主键
     * @return 积分记录
     */
    IntegralRecord selectIntegralRecordById(Long id);

    /**
     * 查询积分记录列表
     * 
     * @param integralRecord 积分记录
     * @return 积分记录集合
     */
    List<IntegralRecord> selectIntegralRecordList(IntegralRecord integralRecord);

    /**
     * 新增积分记录
     * 
     * @param integralRecord 积分记录
     * @return 结果
     */
    int insertIntegralRecord(IntegralRecord integralRecord);

    /**
     * 修改积分记录
     * 
     * @param integralRecord 积分记录
     * @return 结果
     */
    int updateIntegralRecord(IntegralRecord integralRecord);

    /**
     * 删除积分记录
     * 
     * @param id 积分记录主键
     * @return 结果
     */
    int deleteIntegralRecordById(Long id);

    /**
     * 批量删除积分记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteIntegralRecordByIds(Long[] ids);
}
